--[[

Defines a keypress handler to hide the main window on F12. 

]]--

-- control to get updates
keyManager = Turbine.UI.Control();
keyManager:SetVisible(false);
keyManager:SetWantsKeyEvents(true);

-- currently just check for F12 (hide all UI elements)
keyManager.KeyDown = function(sender, args)
   if (args.Action == 0x100000B3) then
   	if (statsWindow:IsVisible()) then
      	statsWindow:SetVisible(false);
      elseif (minWindow:IsVisible()) then
      	minWindow:SetVisible(false);
      else
      	minWindow:SetVisible(true);
      end
   end
end
